Instalasi X-lite VoIP Client di Linux

From SpeedyWiki

Jump to: navigation, search

NOT RECOMMENED: akan mengeluarkan banyak error seperti

./xtensoftphone: /usr/lib/libstdc++.so.5: version `GLIBCPP_3.2' not found (required by ./xtensoftphone)
./xtensoftphone: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by ./xtensoftphone)

karena x-lite di compile untuk libstdc++5 bukan libstdc++6 :(( ..

Sebaiknya menggunakan versi lama

 sudo apt-get install libstdc++5

Bagi mereka yang berani mengambil resiko & menggunakan versi linux terbaru seperti Ubuntu. Siapkan aplikasi pendukung X-lite dan di rename agar menjadi libstdc++5

sudo apt-get install libstdc++6
sudo ln -s /usr/lib/libstdc++.so.6 /usr/lib/libstdc++.so.5

Download x-lite terbaru dari

http://www.counterpath.com/x-lite-3.0-for-linux-download.html

Biasanya akan masuk ke folder

~/Downloads

Copykan x-lite ke folder home directory anda

cp X-Lite_Install.tar.gz ~
cd ~
tar zxvf X-Lite_Install.tar.gz
cd ~/xten-xlite
chmod +x xtensoftphone

Jalankan X-lite menggunakan perintah

~/xten-xlite/xtensoftphone


[edit] Pranala Menarik

Personal tools